2021年之后Centos 6无法使用yum解决办法

ruoyer 技术笔记评论1,187阅读模式

2021年之后Centos 6无法使用yum解决办法

具体错误出现的原因是 12月后Centos 6 系统无法使用yum
网上的教程都是很长时间之前的了 所以不管你怎么改都不会有用的
看之前的攻略纯属浪费时间 想解决类似问题 看我这篇就够了

这两天在看Linux 在安装yum时,使用yum install lrzsz命令始终安装不上。自己查了一上午资料,看了三四十种方法。比如修改DNS、配置IP地址、重新写光驱、重装等方法全部都无效。

首先,问题出现的具体原因稍微说一下:

CentOS 6已经随着2020年11月的结束进入了EOL(Reaches End of Life),不过有一些老设备依然需要支持,CentOS官方也给这些还不想把CentOS6扔进垃圾堆的用户保留了最后一个版本的镜像,只是这个镜像不会再有更新了

官方便在12月2日正式将CentOS 6相关的软件源移出了官方源,随之而来逐级镜像也会陆续将其删除。

不过有一些老设备依然需要维持在当前系统,CentOS官方也给这些还不想把CentOS6扔进垃圾堆的用户保留了各个版本软件源的镜像,只是这个软件源不会再有更新了。

换成大白话就是:Centos 6已经不被官方支持,所以想要使用就要用其他代理比如阿里云Vault镜像。

解决方法:
五行命令,五步 ,一步步复制到CRT操作即可。不嫌麻烦直接在虚拟机里面命令行手敲也可以,一定要打对!

sed -i "s|enabled=1|enabled=0|g" /etc/yum/pluginconf.d/fastestmirror.conf
mv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.backup
curl -o /etc/yum.repos.d/CentOS-Base.repo https://www.xmpan.com/Centos-6-Vault-Aliyun.repo 
yum clean all
yum makecache

手动修复教程:

首先把fastestmirrors关了

#编辑
vi /etc/yum/pluginconf.d/fastestmirror.conf
#修改
enable=0
#或者执行以下命令
sed -i "s|enabled=1|enabled=0|g" /etc/yum/pluginconf.d/fastestmirror.conf

先把之前的repo挪到备份,然后下面两个二选一

mv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.bak

替换为官方Vault源(海外服务器用)

curl -o /etc/yum.repos.d/CentOS-Base.repo https://www.xmpan.com/Centos-6-Vault-Official.repo

或者替换为阿里云Vault镜像(国内服务器用)

curl -o /etc/yum.repos.d/CentOS-Base.repo https://www.xmpan.com/Centos-6-Vault-Aliyun.repo

 

 

 
ruoyer
  • 本文由 ruoyer 发表于 2021年12月1日20:05:54
  • 转载请务必保留本文链接:https://www.ruoyer.com/centos6-yum.html
使用rsync搭建适用于centos的源镜像 技术笔记

使用rsync搭建适用于centos的源镜像

0x01 前言 家里测试的虚拟机很多,而且生命周期很短,虽然有做虚拟机模版镜像,但我还是喜欢每次新建虚拟机的时候安装常用的包和进行系统升级。 那么问题来了,windows有WSUS服务(基于win s...
CentOS 6下挂载NFS共享的方法 技术笔记

CentOS 6下挂载NFS共享的方法

挂载前请确保客户机已安装nfs-utils软件包,否则是无法成功挂载的(我是不会告诉你我在这个坑里蹲了四个多小时才爬出来的)。 yum install -y nfs-utils 挂载使用如下命令格式:...

发表评论